Subject: [PATCH] arm64: ptrace: fix setting hw breakpoint/watchpoint

From: [email-masked] (Will Deacon)
Date: Fri, 16 May 2014 17:21:38 +0100

On Fri, May 16, 2014 at 03:35:45PM +0100, catalin.udma at freescale.com wrote:
> Thank you, Will. The gdb patch seems to solve the problem.
> 
> As long as the kernel can rely on the registers number sent from GDB,
> then there is no need for this kernel patch.

What do you mean? Userspace can pass whatever it likes and the regset
accessors will do the right thing.

Will